XnStatusRegister.h File Reference
`#include "XnStatus.h"`

Go to the source code of this file.

## Classes

struct | XnErrorCodeData

## Macros

#define | XN_STATUS_MESSAGE_MAP_START_FROM(group, first)
#define | XN_STATUS_MESSAGE(csName, csMessage)
#define | XN_STATUS_MESSAGE_MAP_END_FROM(group, first)
#define | XN_STATUS_REGISTER

## Typedefs

typedef struct XnErrorCodeData | XnErrorCodeData

## Functions

XN_C_API XnStatus XN_C_DECL | xnRegisterErrorCodeMessages (XnUInt16 nGroup, XnUInt16 nFirst, XnUInt16 nCount, XnErrorCodeData *pErrorCodeData)

## Macro Definition Documentation

## XN_STATUS_MESSAGE

#define XN_STATUS_MESSAGE | ( |  | csName,
|  |  | csMessage )

Value:
{ 0, XN_STRINGIFY(csName), csMessage },

Adds an entry to the message map.

## XN_STATUS_MESSAGE_MAP_END_FROM

#define XN_STATUS_MESSAGE_MAP_END_FROM | ( |  | group,
|  |  | first )

Value:
}; \
static XnStatus s_##group##first##_result = xnRegisterErrorCodeMessages(group, first, sizeof(_XN_ERROR_GROUP_NAME(group, first)) / sizeof(XnErrorCodeData), _XN_ERROR_GROUP_NAME(group, first));
XnStatus
XnUInt32 XnStatus
Definition XnStatus.h:34
xnRegisterErrorCodeMessages
XN_C_API XnStatus XN_C_DECL xnRegisterErrorCodeMessages(XnUInt16 nGroup, XnUInt16 nFirst, XnUInt16 nCount, XnErrorCodeData *pErrorCodeData)
XnErrorCodeData
Definition XnStatusRegister.h:34

Marks the end of a message map.

## XN_STATUS_MESSAGE_MAP_START_FROM

#define XN_STATUS_MESSAGE_MAP_START_FROM | ( |  | group,
|  |  | first )

Value:
static XnErrorCodeData _XN_ERROR_GROUP_NAME(group, first)[] = \
{ \
{ first, XN_STRINGIFY(group) "_OK", XN_STRINGIFY(group) " OK" },

## XN_STATUS_REGISTER

#define XN_STATUS_REGISTER

## Typedef Documentation

## XnErrorCodeData

typedef struct XnErrorCodeData XnErrorCodeData

## Function Documentation

## xnRegisterErrorCodeMessages()

XN_C_API XnStatus XN_C_DECL xnRegisterErrorCodeMessages | ( | XnUInt16 | nGroup,
|  | XnUInt16 | nFirst,
|  | XnUInt16 | nCount,
|  | XnErrorCodeData * | pErrorCodeData )

This function registers error codes to the message map.

Parameters

  nGroup | [in] The group for which these errors belong to.
  nFirst | [in] The first value.
  nCount | [in] The number of status messages to register.
  pErrorCodeData | [in] An array of status messages.